Create a setup
POST/v2/modules/:module/setups
Creates a new OAuth setup within the specified module. The request body must include all required setup properties such as token lifetimes and supported grant types. Only admin users are allowed to create setups. On success, the response contains the new setup's identifier.
Request
Path Parameters
module stringrequired
- application/json
Body
- Array [
- ]
client_defaults objectrequired
grant_types string[]required
force_reauthentication boolean
access_token_ttl integer
refresh_token_ttl integer
id_token_ttl integer
persisted_consent_ttl integer
resource_server_defaults objectrequired
scope_policy_implicit_flow string
scope_policy_authorization_code_flow string
scope_policy_refresh_token string
scope_policy_force_reauthentication boolean
metadata object[]required
name string
value string
locale string
name stringrequired
owner stringrequired
comment string
valid_from date-timerequired
Responses
- 201
- 400
- 403
Setups created successfully
- application/json
- Schema
- Example (from schema)
Schema
setupId string
{
"setupId": "string"
}
The request body contains invalid or missing setup properties
The caller does not have administrator privileges required to create a setup
Loading...